Subject: Re: NETDEV WATCHDOG: internal(r8152): transmit queue 0 timed out

From: poma <[email-masked]>
Date: Fri, 16 Jan 2015 13:09:34 +0100

On 16.01.2015 10:37, Hayes Wang wrote:
>  poma [mailto:[email-masked]] 
>> Sent: Friday, January 16, 2015 4:25 PM
> [...]
>>> This looks like a USB problem. Is there a way to get usb (or 
>>> NetworkManager) to reinitialize the driver when this happens?
>>
>> I would ask these people for advice, therefore.
> 
> Our hw engineers need to analyse the behavior of the device.
> However, I don't think you have such instrument to provide
> the required information. If we don't know the reason, we
> couldn't give you the proper solution. Besides, your solution
> would work if and only if reloading the driver is helpful.
> 
> The issue have to debug from the hardware, and I have no idea
> about what the software could do before analysing the hw. Maybe
> you could try the following driver first to check if it is useful.
> 
> http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=2&PNid=13&PFid=56&Level=5&Conn=4&DownTypeID=3&GetDown=false
>  
> Best Regards,
> Hayes
> 

Thanks for your response, Mr. Hayes.

Mr. Sean, please download and check if "timeout" is still present with built RTL8153 module from REALTEK site, as Mr. Hayes proposed.
http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=2&PNid=13&PFid=56&Level=5&Conn=4&DownTypeID=3&GetDown=false#2
r8152.53-2.03.0.tar.bz2

Procedure - should be equal for both, Fedora 21 & 20:

$ uname -r
3.17.8-300.fc21.x86_64

$ su -c 'yum install kernel-devel'

$ tar xf r8152.53-2.03.0.tar.bz2
$ cd r8152-2.03.0/
$ make
$ su

# cp 50-usb-realtek-net.rules /etc/udev/rules.d/
# udevadm trigger --action=add

# modprobe -rv r8152
# cp r8152.ko /lib/modules/$(uname -r)/updates/
# depmod
# modprobe -v r8152

poma

-- 
users mailing list
[email-masked]
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Fedora Code of Conduct: http://fedoraproject.org/code-of-conduct
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
Have a question? Ask away: http://ask.fedoraproject.org